org.springframework.data.type.classreading

## Interface MethodsMetadataReader

All Superinterfaces:
  MetadataReader

    public interface MethodsMetadataReader
    extends MetadataReader

Extension to `MetadataReader` for accessing class metadata and method metadata as read by an ASM `ClassReader`.

Since:
  2.1
Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`MethodsMetadata` `getMethodsMetadata()`

### Methods inherited from interface org.springframework.core.type.classreading.MetadataReader

`getAnnotationMetadata, getClassMetadata, getResource`

### Method Detail

#### getMethodsMetadata

    MethodsMetadata getMethodsMetadata()

Returns:
  the `MethodsMetadata` for methods in the class file.